Bug 1004150 - NullPointerException when opening panel properties in General Options
NullPointerException when opening panel properties in General Options
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER4
: 6.0.0
Assigned To: Jan
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 01:36 EDT by Jan Hrcek
Modified: 2014-08-06 16:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Steps to reproduce - video (11.96 MB, video/webm)
2013-09-04 01:36 EDT, Jan Hrcek
no flags Details
server.log with exception (115.54 KB, text/x-log)
2013-09-04 01:38 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-09-04 01:36:10 EDT
Created attachment 793464 [details]
Steps to reproduce - video

Description of problem:
NullPointerException is thrown when you enter panel properties for any panel in general options page. Attached video of steps to reproduce. Also attached server.log with stack trace.

Version-Release number of selected component (if applicable):
BPMS 6.0.0.ER2 - deployed on EAP 6.1. using default in-memory H2 database as datasource.

How reproducible:
Always

Steps to Reproduce:
1. login with root user
2. in Admin bar choose 'General options'
3. expand nodes Workspaces > Showcase > Pages > Home > Panels > Logout Panel > Panel properties

Actual results:
NullPointerException is thrown in the server console (see stacktrace in attached server.log)

Expected results:
No exception is thrown

Additional info:

The same exception is thrown when entering Panel Properties in general configuration for any other panel on any other page (I tried several, always the same NPE from PanelsManagerImpl.java line 122)
Comment 1 Jan Hrcek 2013-09-04 01:38:36 EDT
Created attachment 793465 [details]
server.log with exception
Comment 3 Jan 2013-09-05 12:23:43 EDT
Fix has been implemented in the following commits:

master: ade3c27f548420aaf364f58613d8944da8f8f287
6.0.x: a71c95db191b220ac47bdca222133fd7bc4f29de
Comment 7 Jan Hrcek 2013-10-16 09:13:00 EDT
Ok, verified with BPMS 6.0.0 ER4

Note You need to log in before you can comment on or make changes to this bug.